MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029238Open CASCADE[OCCT] PRODUCTS:JT Exportpublic2017-10-18 14:262018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029238: TKJT, JTCAFControl_XcafToJT - saves empty JT file when passing TopoDS_Face
DescriptionJTCAFControl_XcafToJT ignores sole TopoDS_Face (e.g. not as sub-shape of Compound or Shell) stored on Label in XDE document.
Steps To Reproduce
pload MODELING VISUALIZATION OCAF XDE
pload -DrawPluginProducts JT

# close opened documents
catch { Close XDOC }
catch { Close JDOC }
vclear
vclose ALL

box b 1 2 3
explode b F
XNewDoc XDOC
XAddShape XDOC b_1
XShow XDOC
vfit
vsetdispmode 1
StoreTriangulation 1
XSave XDOC doc_tmp.xbf
# OK, document contains shape

xbf2jt doc_tmp.jt doc_tmp.xbf
jtread JDOC doc_tmp.jt
XShow JDOC
vfit
vsetdispmode 1
XGetFreeShapes JDOC js *
trinfo js

# KO, no triangulation:
> This shape contains 0 triangles.
>                     0 nodes.
> Maximal deflection 0
TagsNo tags attached.
Test case numberjt xbf2jt bug29238
Attached Files

- Relationships

-  Notes
(0071600)
kgv (developer)
2017-10-18 16:35
edited on: 2017-10-18 23:02

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/master-CR29238-KGV/ [^]

(0071736)
bugmaster (administrator)
2017-10-24 12:57

Combination -
OCCT branch : master
Products branch : CR29238 SHA-1: aa93a6fe426553628d910fdcecaac4b60b35f2c2
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test case is OK
(0071815)
bugmaster (administrator)
2017-10-27 09:56

Fix has been integrated into master of occt-products repository

- Issue History
Date Modified Username Field Change
2017-10-18 14:26 kgv New Issue
2017-10-18 14:26 kgv Assigned To => kgv
2017-10-18 14:26 kgv Relationship added child of 0028905
2017-10-18 14:43 kgv Steps to Reproduce Updated View Revisions
2017-10-18 15:17 kgv Steps to Reproduce Updated View Revisions
2017-10-18 16:01 kgv Steps to Reproduce Updated View Revisions
2017-10-18 16:35 kgv Note Added: 0071600
2017-10-18 16:35 kgv Assigned To kgv => pdn
2017-10-18 16:35 kgv Status new => resolved
2017-10-18 16:35 kgv Target Version 7.3.0 => 7.4.0*
2017-10-18 23:02 kgv Note Edited: 0071600 View Revisions
2017-10-23 17:29 pdn Assigned To pdn => bugmaster
2017-10-23 17:29 pdn Status resolved => reviewed
2017-10-24 12:56 bugmaster Test case number => jt xbf2jt bug29238
2017-10-24 12:57 bugmaster Note Added: 0071736
2017-10-24 12:57 bugmaster Status reviewed => tested
2017-10-27 09:56 bugmaster Note Added: 0071815
2017-10-27 09:56 bugmaster Status tested => verified
2017-10-27 09:56 bugmaster Resolution open => fixed
2017-12-19 13:49 bugmaster Category PRODUCTS:Advanced samples => PRODUCTS:JT Export
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker